C
C
C Example of QuickSort in FORTRAN with NetSolve
C
C
       PROGRAM TEST

       INCLUDE '../../include/fnetsolve.h'

       INTEGER MAX
       PARAMETER(MAX = 2000)
       INTEGER A(MAX)

       INTEGER M
       INTEGER INFO,I

       WRITE(*,*) 'Enter the size of the array to sort'
       READ (*,*) M

C 
C  generating an array
C/
       WRITE(*,*) 'Generating the array'
       DO 10 I=1,M
         A(I) = M-I
10     CONTINUE
  
C
C  NetSolve blocking
C  

       WRITE(*,*) 'Sending a blocking request to NetSolve'
       CALL FNETSL('iqsort()',INFO,M,A)

       IF (INFO.LT.0) THEN
         CALL FNETSLERR(INFO)
         STOP
       ENDIF
       
       WRITE(*,*) '*************'
       WRITE(*,*) '** Success **'
       WRITE(*,*) '*************'
       WRITE(*,*) ' Result :'
       print 12,(A(I), I=1,M )

12     format( 10(2xI4))
       END
