
********************************************
*                                          *
* TEST of the FORTRAN INTERFACE to NETSOLVE*
*                                          *
********************************************

      PROGRAM TEST

      INCLUDE '../../include/fnetsolve.h'

      INTEGER A,B
      INTEGER INFO
      CHARACTER DIR*15

      WRITE(*,*) 'User provided function example'
      WRITE(*,*) 'Enter the input integer to the function'
      READ (*,*) A

      DIR = '../../UPF_try_F'

      WRITE (*,*) 'Looking for the User provided Function in ',DIR

      WRITE(*,*)'Setting the default directory to ',DIR
      CALL FNETSLDIR(DIR)

      WRITE(*,*)'Sending a blocking request to NetSolve'

      CALL FNETSL('upftest()',INFO,'upf','toto',A,B)

      IF(INFO.LT.0) THEN
        CALL FNETSLERR(INFO)
       STOP
      ENDIF

      WRITE(*,*) '*************'
      WRITE(*,*) '** Success **'
      WRITE(*,*) '*************'
      WRITE(*,*) '  Result : B = ',B

      STOP

      END
