/**
 *
 * PropertyExample
 *
 * This is an example of accessing a 'property' specified on
 * the command line.  This could provide a way to access the
 * NETSOLVE_AGENT environment variable from your Java programs.
 * See the script named "wrapper" for an example of passing
 * in a property.
 *
 * @version 0.1, 17 Apr 1998
 * @author Keith Seymour (seymour@cs.utk.edu)
 **/

public class PropertyExample {
  public static void main (String [] args) {
    String agent;

    agent = System.getProperty("agent");

    if(agent == null)
      System.out.println("Could not get the agent");
    else
      System.out.println("The agent is: " + agent);
  }
}
