
#include <stdio.h>
#include "interface.h"
#include <sys/types.h>

main(argc,argv)
int argc;
char **argv;
{
  int *a;
  int info;
  int m,i;

  if (argc != 2)
  {
    fprintf(stderr,"Usage : %s <size>\n",argv[0]);
    exit(0);
  }
  m = atoi(argv[1]);
  a = (int *)malloc(sizeof(int)*m);

  /*
   * generating an array
   */
  fprintf(stderr,"Generating an unsorted array\n");
  for (i=0;i<m;i++) {
    a[i] = m-i;
  }
  
  /*
   * NetSolve blocking
   */

   
   fprintf(stderr,"Sending a blocking request to NetSolve\n");
   info = netsl("iqsort()",m,a);
   if (info <0)
   {
     netslerr(info);
     exit(0);
   }
   else
   {
     fprintf(stderr,"*************\n");
     fprintf(stderr,"** Success **\n");
     fprintf(stderr,"*************\n");
     fprintf(stderr,"Result :\n");
     fprintf(stderr,"\t");
     for (i=0;i<m-1;i++)
       fprintf(stderr," %d,",a[i]);
     fprintf(stderr," %d.\n",a[i]);
   }
}
