/*****************************************************************/
/*      bfunc.h                                                  */
/*      Version 1.0                      Henri Casanova          */
/*****************************************************************/
 
/*
 * Basic functions
 */

/*
 *  From PVM  Bob Manchek
 */
 
#ifdef SYSVBFUNC
#include <memory.h>
#define BZERO(d,n)      memset(d,0,n)
#define BCMP(s,d,n)     memcmp(d,s,n)
#define BCOPY(s,d,n)    memcpy(d,s,n)
 
#else /* SYSVBFUNC */
 
#define BZERO(d,n)      bzero(d,n)
#define BCMP(s,d,n)     bcmp(s,d,n)
#define BCOPY(s,d,n)    bcopy(s,d,n)
 
#endif

#ifdef NOSTRDUP
#define talloc(ty, sz) (ty *) malloc ((sz) * sizeof(ty))
#define strdup(s)      ((char *) strcpy(talloc(char, strlen(s)+1), s))
#endif


