/*****************************************************************/
/*      netsldir.c                                                */
/*      Version 1.0                      Henri Casanova           */
/*----------------------------------------------------------------*/
/*  netsldir()                                                    */
/*****************************************************************/

#include "netsolve.h"

int called_by_the_user = 0;

/*
 * netsldir() : Set the default directory
 */

#ifdef __STDC__
int netsldir(char *string)
#else
int netsldir(string)
char *string;
#endif
{
  strcpy(upf_directory,string);
  called_by_the_user = 1;
  return NetSolveSuccess;
}

#ifdef __STDC__
int netsldirintern()
#else
int netsldirintern()
#endif
{
  if (!called_by_the_user)
    strcpy(upf_directory,".");
  return NetSolveSuccess;
}
