/*****************************************************************/
/*      netslmajor.c                                             */
/*      Version 1.0                     Henri Casanova           */
/*---------------------------------------------------------------*/
/*  netslmajor()                                                 */
/*****************************************************************/

#include "netsolve.h"

int major_called_by_the_user = 0;

/*
 * netslmajor() : Set the default major
 */

#ifdef __STDC__
int netslmajor(char *maj)
#else
int netslmajor(maj)
char *maj;
#endif
{
  if ((maj[0]!='R')&&(maj[0]!='r')&&(maj[0]!='C')&&(maj[0]!='c'))
    return NetSolveFailure;
  if ((maj[0]=='R')||(maj[0]=='r'))
  {
    Xmajor = ROW_MAJOR;
  }
  else
  {
    Xmajor = COL_MAJOR;
  }
  major_called_by_the_user = 1;
  return NetSolveSuccess;
}

#ifdef __STDC__
int netslmajorintern(int maj)
#else
int netslmajorintern(maj)
int maj;
#endif
{
  if (!major_called_by_the_user)
    Xmajor = maj;
  return NetSolveSuccess;
}
