/**
* NetSolveException
*   
* This class extends Exception and doesn't really provide
* any extra functionality.  Its purpose is to distinguish
* between exceptions thrown by system calls and those
* thrown by the NetSolve Java interface.
* 
* @version 1.1, 26 Jan 1998
* @author Keith Seymour (seymour@cs.utk.edu)
*
**/

public class NetSolveException extends Exception {

  /**
   * 
   * This is the constructor for NetSolveException.
   * Creates a new exception with the given message.
   * 
   * @param s The exception message.
   *
   **/

  NetSolveException(String s) {
    super(s);
  }

  /**
   * 
   * This is the constructor for NetSolveException.
   * Creates a new exception.
   *
   **/

  NetSolveException() {
    super();
  }
}
