import java.io.IOException;

public abstract class NetSolveScalar extends NetSolveObject {

  public void setDims(int lines, int last, int total)
  {
    m = 0;
    n = 1;
  }
  
  public void readScalarHeader(NetSolveStream s)
   throws IOException
  {

    // First, read the data type and object type.  we dont
    // care about this because we already know the types.

    s.server_in.readInt();   // read data type
    s.server_in.readInt();   // read object type
  }

  public void writeScalarHeader(NetSolveStream s)
   throws IOException
  {
    s.sendType(data_type, object_type);
  }

  public NetSolveScalar() {
    super();
  }

  public void copy(NetSolveScalar obj) {
    super.copy(obj);
  }
}
