/**
* ProblemDesc
*
* This class defines the data structures for a problem description.
* 
* @version 1.1, 26 Jan 1998 
* @author Keith Seymour (seymour@cs.utk.edu)
*
**/

public class ProblemDesc {
  public String name;
  public String path;
  public String desc;

  public int num_upf;
  public UpfStruct [] upfs;

  public int nb_obj_input;
  public int nb_obj_output;
  public NetSolveObject [] input_obj;
  public NetSolveObject [] output_obj;

  public String complexity;

  public int nb_formats;
  public FormatSpec [] formats;
}
