/**
* UpfUnsafeException
*
* This class extends Exception and doesn't really provide
* any extra functionality.  Its purpose is to distinguish
* between exceptions thrown by system calls and those
* thrown by the NetSolve Java interface.
*
* @version 1.1, 26 Jan 1998
* @author Keith Seymour (seymour@cs.utk.edu)
*
**/

public class UpfUnsafeException extends Exception {
  UpfUnsafeException(String s) {
    super(s);
  }
  UpfUnsafeException() {
    super();
  }
}
