/*****************************************************************/
/*      netslmajor.c                                             */
/*      Version 1.0                     Henri Casanova           */
/*---------------------------------------------------------------*/
/*  netslmajor()                                                 */
/*****************************************************************/

#include "matlab_netsolve.h"

int major_called_by_the_user = 0;

/*
 * mexnetslmajor() : Set the default major
 */

#ifdef __STDC__
int mexnetslmajor(int maj)
#else
int mexnetslmajor(maj)
int maj;
#endif
{
  if ((maj != ROW_MAJOR)&&(maj != COL_MAJOR))
    return NetSolveFailure;
  Xmajor = maj;
  major_called_by_the_user = 1;
  return NetSolveSuccess;
}

#ifdef __STDC__
int mexnetslmajorintern(int maj)
#else
int mexnetslmajorintern(maj)
int maj;
#endif
{
  if (!major_called_by_the_user)
    Xmajor = maj;
  return NetSolveSuccess;
}
